NisusWrtParserInternal::State Struct Reference documentation

NisusWrtParserInternal::State Struct Reference

Internal: the state of a NisusWrtParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::vector< Variable > | m_numberingList
| the list of numbering
Zone | m_zones [3]
| the main zones : Main, Footnote, HeaderFooter
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_numColumns
| the number of columns
float | m_columnSep
| the columns separator
NisusWrtStruct::FootnoteInfo | m_footnoteInfo
| the footnote placement
bool | m_isTextDocument
| a bool to know if we examine a text document or another thing glossary ...

## Detailed Description

Internal: the state of a NisusWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

NisusWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int NisusWrtParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_columnSep

float NisusWrtParserInternal::State::m_columnSep

the columns separator

Referenced by State().

## ◆ m_footnoteInfo

NisusWrtStruct::FootnoteInfo NisusWrtParserInternal::State::m_footnoteInfo

the footnote placement

Referenced by State().

## ◆ m_isTextDocument

bool NisusWrtParserInternal::State::m_isTextDocument

a bool to know if we examine a text document or another thing glossary ...

Referenced by State().

## ◆ m_numberingList

std::vector<Variable> NisusWrtParserInternal::State::m_numberingList

the list of numbering

Referenced by State().

## ◆ m_numColumns

int NisusWrtParserInternal::State::m_numColumns

the number of columns

Referenced by State().

## ◆ m_numPages

int NisusWrtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_zones

Zone NisusWrtParserInternal::State::m_zones[3]

the main zones : Main, Footnote, HeaderFooter

The documentation for this struct was generated from the following file:

- NisusWrtParser.cxx